# Jig for inserting SFP Cage into Kasli

This repository contains the design and production files for a production jig designed to insert the press-fit SFP cage connector into the Kasli board.

## FreeCAD Files
The files are created in FreeCAD 0.21.2 with the a2plus 0.4.61 addon. They include the design file for the Kasli Board Holder, step files for the Kasli v2 board and SFP Cage Holder, and an assembly file for verification purposes.

The SFP Cage Holder for Kasli-Soc is compatible with Kasli v2. The step file is copied from the kasli-soc-pressfit repository.

## Production
The parts should be printed from a durable plastic, preferably ESD-safe (e.g., carbon fibre-filled plastics), with as much infill and as many shell layers as possible to maximize durability.

Additional 4 M6 x 10mm screws are required to mount the 3D printed parts onto the bench vise with the jaw removed.

## Usage
The 3D printed parts replace the removable jaw of the bench vise.

To use the jig,
 - Install the board holder and the SFP Cage Holder onto the vise
 - Align the Kasli board mounting holes with the board holder matching protrusions
 - Place the SFP crate connector to the connector holder matching indentation
 - Close up the vise slowly, ensuring connector alignment with the board at all times
 - Once alignment is verified, complete the press fit process by further closing the vise jaws
 - Remove the board assembly, check for proper mating between the connector pins and the board
